ReferenceAPI
curl -X GET "https://api.nevia.cloud/v1/images" \
-H "Authorization: Bearer $TOKEN"{
"images": [
{
"id": "python-3-13",
"ref": "docker.io/library/python:3.13-slim",
"label": "Python 3.13",
"description": "Python 3.13 base image.",
"url": "https://hub.docker.com/_/python",
"size_mb": 400
}
],
"default": {
"id": "python-3-13",
"ref": "docker.io/library/python:3.13-slim",
"label": "Python 3.13",
"description": "Python 3.13 base image.",
"url": "https://hub.docker.com/_/python",
"size_mb": 400
}
}Authorization
bearerAuth Authorization
Bearer <token>
Send the token in the Authorization: Bearer <token> header. See Authenticate.
In: header
Behavior
images is the catalog a create's image must come from. default is the platform image a create runs when the caller omits image. A create also accepts default as an explicit image.
Response
application/jsonThe catalog and the platform default image reference.